org.eclipse.cdt.core.resources

## Class ExclusionInstance

- java.lang.Object
- - org.eclipse.cdt.core.resources.ExclusionInstance

    public class ExclusionInstance
    extends Object

Represents a particular instance of an exclusion. E.g., if an exclusion allowed for the exclusion of a list individual resources, there would be one exclusion instance per resource. Each exclusion instance is presented in the user interface as a child of the exclusion. Clients may extend this class to provide custom implementations for their exclusion type. EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  5.3

### Field Summary

Fields
`static String` `CLASS_ATTRIBUTE_NAME`
`static String` `CONTRIBUTOR_ID_ATTRIBUTE_NAME`
`static String` `DISPLAY_STRING_ATTRIBUTE_NAME`
`static String` `EXCLUSION_ELEMENT_NAME`
`static String` `EXCLUSION_TYPE_ATTRIBUTE_NAME`
`static String` `EXTENSION_DATA_ELEMENT_NAME`
`protected String` `fDisplayString`
`static String` `FILE_VALUE`
`protected ExclusionType` `fInstanceExclusionType`
`static String` `FOLDER_VALUE`
`protected RefreshExclusion` `fParent`
`protected org.eclipse.core.resources.IResource` `fResource`
`static String` `INSTANCE_ELEMENT_NAME`
`static String` `RESOURCE_VALUE`
`static String` `WORKSPACE_PATH_ATTRIBUTE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ExclusionInstance()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDisplayString()`
`ExclusionType` `getExclusionType()`
`RefreshExclusion` `getParentExclusion()` Returns the parent exclusion of this exclusion instance.
`org.eclipse.core.resources.IResource` `getResource()` If there is a resource directly associated with this exclusion instance, returns the resource.
`protected void` `loadExtendedInstanceData(ICStorageElement child)`
`static ExclusionInstance` `loadInstanceData(ICStorageElement instanceElement, RefreshScopeManager manager)`
`protected void` `persistExtendedInstanceData(ICStorageElement instanceElement)`
`void` `persistInstanceData(ICStorageElement exclusionElement)`
`void` `setDisplayString(String displayString)`
`void` `setExclusionType(ExclusionType type)`
`void` `setParentExclusion(RefreshExclusion parent)`
`void` `setResource(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASS_ATTRIBUTE_NAME

    public static final String CLASS_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### CONTRIBUTOR_ID_ATTRIBUTE_NAME

    public static final String CONTRIBUTOR_ID_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### DISPLAY_STRING_ATTRIBUTE_NAME

    public static final String DISPLAY_STRING_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### EXCLUSION_ELEMENT_NAME

    public static final String EXCLUSION_ELEMENT_NAME

See Also:
  Constant Field Values

#### EXCLUSION_TYPE_ATTRIBUTE_NAME

    public static final String EXCLUSION_TYPE_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### EXTENSION_DATA_ELEMENT_NAME

    public static final String EXTENSION_DATA_ELEMENT_NAME

See Also:
  Constant Field Values

#### FILE_VALUE

    public static final String FILE_VALUE

See Also:
  Constant Field Values

#### FOLDER_VALUE

    public static final String FOLDER_VALUE

See Also:
  Constant Field Values

#### INSTANCE_ELEMENT_NAME

    public static final String INSTANCE_ELEMENT_NAME

See Also:
  Constant Field Values

#### RESOURCE_VALUE

    public static final String RESOURCE_VALUE

See Also:
  Constant Field Values

#### WORKSPACE_PATH_ATTRIBUTE_NAME

    public static final String WORKSPACE_PATH_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### fDisplayString

    protected String fDisplayString

#### fInstanceExclusionType

    protected ExclusionType fInstanceExclusionType

#### fParent

    protected RefreshExclusion fParent

#### fResource

    protected org.eclipse.core.resources.IResource fResource

### Constructor Detail

#### ExclusionInstance

    public ExclusionInstance()

### Method Detail

#### loadInstanceData

    public static ExclusionInstance loadInstanceData(ICStorageElement instanceElement,
                                                     RefreshScopeManager manager)

#### getDisplayString

    public String getDisplayString()

Returns:
  a String corresponding to the human-readable name for this exclusion instance. Examples of this would be the resource name for a resource based exclusion, or the file extension excluded by a file extension exclusion.

#### getExclusionType

    public ExclusionType getExclusionType()

#### getParentExclusion

    public RefreshExclusion getParentExclusion()

Returns the parent exclusion of this exclusion instance.

Returns:
  RefreshExclusion

#### getResource

    public org.eclipse.core.resources.IResource getResource()

If there is a resource directly associated with this exclusion instance, returns the resource.

Returns:
  IResource

#### loadExtendedInstanceData

    protected void loadExtendedInstanceData(ICStorageElement child)

#### persistExtendedInstanceData

    protected void persistExtendedInstanceData(ICStorageElement instanceElement)

#### persistInstanceData

    public void persistInstanceData(ICStorageElement exclusionElement)

#### setDisplayString

    public void setDisplayString(String displayString)

#### setExclusionType

    public void setExclusionType(ExclusionType type)

#### setParentExclusion

    public void setParentExclusion(RefreshExclusion parent)

Parameters:
  `parent` - the RefreshExclusion to set as the parent.

#### setResource

    public void setResource(org.eclipse.core.resources.IResource resource)